﻿@page "{id}"
@using OdeToFood.Pages.Restaurants

@model EditModel
@{
}

<h1>Edit @Model.Restaurant.Name</h1>

<form method="post">

    <input type="hidden" asp-for="Restaurant.Id" />

    <div>
        <label asp-for="Restaurant.Name"></label>
        <input asp-for="Restaurant.Name" />
        <span asp-validation-for="Restaurant.Name"></span>
    </div>

    <div>
        <label asp-for="Restaurant.Cuisine"></label>
        <select asp-for="Restaurant.Cuisine" asp-items="@Html.GetEnumSelectList<CuisineType>()"></select>
        <span asp-validation-for="Restaurant.Cuisine"></span>
    </div>

    <input type="submit" name="save" value="Save" />
</form>